All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
execute.hpp File Reference

the user interface for the code generator More...

`#include <cstring>`
`#include <vector>`
`#include <typeinfo>`
`#include "viennacl/scheduler/forwards.h"`
`#include "viennacl/device_specific/forwards.h"`
`#include "viennacl/device_specific/templates/template_base.hpp"`
`#include "viennacl/device_specific/tree_parsing.hpp"`
`#include "viennacl/device_specific/execution_handler.hpp"`
`#include "viennacl/tools/tools.hpp"`
`#include "viennacl/tools/timer.hpp"`

Go to the source code of this file.

## Namespaces

| viennacl
| Main namespace in ViennaCL. Holds all the basic types such as vector, matrix, etc. and defines operations upon them.
| viennacl::device_specific
| Provides an OpenCL kernel generator.

## Functions

void | viennacl::device_specific::execute (template_base const &T, statements_container const &statements, viennacl::ocl::context &ctx=viennacl::ocl::current_context(), bool force_compilation=false)

## Detailed Description

the user interface for the code generator

Definition in file execute.hpp.